summaryrefslogtreecommitdiffstats
path: root/newbin
diff options
context:
space:
mode:
authortv <tv@shackspace.de>2015-06-24 20:00:52 +0200
committertv <tv@shackspace.de>2015-06-24 20:00:52 +0200
commit0fa8921e803876d85e1a0d49d925c2919714ee56 (patch)
treeef5cd237fc110842e64cc3ecf889093d1f63b365 /newbin
parentbea25b5640e72a64605406b40f3cbcf5d0c6c9de (diff)
infest-cac-CentOS-7-64bit: fetchgit
Diffstat (limited to 'newbin')
-rwxr-xr-xnewbin/fetchgit25
-rwxr-xr-xnewbin/nixos-query8
2 files changed, 33 insertions, 0 deletions
diff --git a/newbin/fetchgit b/newbin/fetchgit
new file mode 100755
index 00000000..b9fe9085
--- /dev/null
+++ b/newbin/fetchgit
@@ -0,0 +1,25 @@
+#! /bin/sh
+# usage: fetchgit REVISION URL WORKTREE
+set -euf
+
+git_rev=$1
+git_url=$2
+worktree=$3
+
+if [ ! -d "$worktree" ]; then
+ mkdir -p "$worktree"
+fi
+
+cd "$worktree"
+
+git init -q
+
+if ! current_url=$(git config remote.src.url); then
+ git remote add src "$git_url"
+elif [ "$current_url" != "$git_url" ]; then
+ git remote set-url src "$git_url"
+fi
+
+git fetch src
+
+git checkout "$git_rev"
diff --git a/newbin/nixos-query b/newbin/nixos-query
new file mode 100755
index 00000000..57761b52
--- /dev/null
+++ b/newbin/nixos-query
@@ -0,0 +1,8 @@
+#! /bin/sh
+set -euf
+nix-instantiate \
+ -A config."$1" \
+ --eval \
+ --json \
+ '<nixos>' \
+ | jq -r .